Subject: Re: cd'ing to a shortcut
From: [email-masked] (Christopher G. Faylor)

18 Sep 1998 03:10:15 GMT
Message-ID: <[email-masked]>
References: <[email-masked]> <360110b3.3716935.cygnus.gnu-win32@smtp>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <360110b3.3716935.cygnus.gnu-win32@smtp>,
Theodore Jump <[email-masked]> wrote:
>
>>In my home, I added a shortcut to a directory that I use a lot.
>>How can I change to it from bash?  When I cd to the shortcut name,
>>it tells me that I have no right.  Here is the full screen:
>
>I don't believe that Cygwin can follow MS Windows Explorer Shortcuts (*.lnk
>files) yet; that it doesn't read them to interpret what they are a shortcut to
>- in other words, it sees it as a regular file and thus that is why you can't
>"cd" into it.
>
>This would, IMHO, be a useful addition but should not (IMHO again) be used as a
>replacement for the current softlink emulation.  I believe this because the
>.LNK files would then have to be used to softlink to "Cygwin" paths that may or
>may-not be valid under native Win32 non-Cygwin applications (like Explorer).

You're absolutely correct.  The idea of using .lnk files for symbolic
links comes up a lot here.  This is the first time I can remember seeing
it raised in a reasonable way with an explanation of why .lnk files
can't be used as a generic replacement for the current scheme.

This is FAQ material.
-- 
[email-masked]
http://www.cygnus.com/